/** @example ex/ios/ExampleInterface.m
 */

/*
 *  Copyright 2014-2025 Solace Corporation. All rights reserved.
 */

#import "AppReachabilityExample.h"
#import "AppTransitionsExample.h"
#import "AsyncCacheRequestExample.h"
#import "DirectPubSubExample.h"
#import "Example.h"
#import "ExampleInterface.h"
#import "EventMonitorExample.h"
#import "HelloWorldPubExample.h"
#import "HelloWorldSubExample.h"
#import "HelloWorldWebPubExample.h"
#import "HelloWorldWebSubExample.h"
#import "PerfTestExample.h"
#import "RedirectLogsExample.h"
#import "SdtPubSubMsgDepExample.h"
#import "SdtPubSubMsgIndepExample.h"
#import "SecureSessionExample.h"
#import "SempGetOverMbExample.h"
#import "SubscribeOnBehalfOfClientExample.h"
#import "SyncCacheRequestExample.h"
#import "TopicDispatchExample.h"

@implementation ExampleInterface

@synthesize examples;

- (id)init {
    self.examples = [[NSMutableArray alloc] init];

    // This list must be updated whenever a new example is created.
    [self.examples addObject:[[AppReachabilityExample alloc]
                                 initWithExampleInterface:self]];
    [self.examples addObject:[[AppTransitionsExample alloc]
                                 initWithExampleInterface:self]];
    [self.examples addObject:[[AsyncCacheRequestExample alloc]
                                 initWithExampleInterface:self]];
    [self.examples
        addObject:[[DirectPubSubExample alloc] initWithExampleInterface:self]];
    [self.examples
        addObject:[[EventMonitorExample alloc] initWithExampleInterface:self]];
    [self.examples
        addObject:[[HelloWorldPubExample alloc] initWithExampleInterface:self]];
    [self.examples
        addObject:[[HelloWorldSubExample alloc] initWithExampleInterface:self]];
    [self.examples addObject:[[HelloWorldWebPubExample alloc]
                                 initWithExampleInterface:self]];
    [self.examples addObject:[[HelloWorldWebSubExample alloc]
                                 initWithExampleInterface:self]];
    [self.examples
        addObject:[[PerfTestExample alloc] initWithExampleInterface:self]];
    [self.examples
        addObject:[[RedirectLogsExample alloc] initWithExampleInterface:self]];
    [self.examples addObject:[[SdtPubSubMsgDepExample alloc]
                                 initWithExampleInterface:self]];
    [self.examples addObject:[[SdtPubSubMsgIndepExample alloc]
                                 initWithExampleInterface:self]];
    [self.examples
        addObject:[[SecureSessionExample alloc] initWithExampleInterface:self]];
    [self.examples
        addObject:[[SempGetOverMbExample alloc] initWithExampleInterface:self]];
    [self.examples addObject:[[SubscribeOnBehalfOfClientExample alloc]
                                 initWithExampleInterface:self]];
    [self.examples addObject:[[SyncCacheRequestExample alloc]
                                 initWithExampleInterface:self]];
    [self.examples
        addObject:[[TopicDispatchExample alloc] initWithExampleInterface:self]];

    self.runningExample = nil;

    return self;
}

- (Example *)example:(int)index {
    return [examples objectAtIndex:index];
}

- (NSString *)exampleName:(int)index {
    return [[examples objectAtIndex:index] name];
}

- (NSString *)exampleDescription:(int)index {
    return [[examples objectAtIndex:index] description];
}

- (int)numberOfExamples {
    return (int)[examples count];
}

@end
