/** @example ex/ios/examples/AppTransitionsExample.h
 */

/*
 *  Copyright 2014-2025 Solace Corporation. All rights reserved.
 */

#import "Example.h"

/**
 *  The AppTransitions example demonstrates how to respond to changes in
 *  application state on iOS.
 */
@interface AppTransitionsExample : Example

/**
 *  Session pointer.
 */
@property solClient_opaqueSession_pt session_p;

/**
 *  Indicates whether the example is temporarily suspended.
 */
@property BOOL suspended;

/**
 *  Indicates whether the user interface has requested suspension.
 */
@property BOOL requestSuspend;

/**
 *  Indicates whether the user interface has requested resumption.
 */
@property BOOL requestResume;

/**
 *  Suspends the example.
 */
- (void)suspend;

/**
 *  Resumes the example.
 */
- (void)resume;

/**
 *  Blocks the current thread during suspension.
 */
- (void)blockThreadDuringSuspension;

@end
