/** #example ex/ios/examples/AsyncCacheRequestExample.h
 */

/*
 *  Copyright 2009-2025 Solace Corporation. All rights reserved.
 */

#import "Example.h"

/**
 *  The AsyncCacheRequestExample demonstrates how to create a cache session and
 *  send an asynchronous cache request.
 *
 *  Sample Requirements:
 *   - A Solace appliance running SolOS-TR that has an active cache.
 *   - A cache running and caching on a pattern that matches "my/sample/topic".
 *   - The cache name must be known and passed to this program as a command line
 *    argument.
 *
 *  This sample sends an asynchronous cache request. The cache request
 *  is not blocking, so the sample application is made to sleep when it reaches
 *  the end of execution. This gives the cache time to respond to the request.
 *
 *  Cached messages returned as a result of the cache request are handled by
 *  the Session's message receive callback in the normal manner. This sample
 *  uses a callback that simply logs the message.
 */
@interface AsyncCacheRequestExample : Example

@end
