/** @example ex/ios/examples/DirectPubSubExample.h
 */

/*
 *  Copyright 2009-2025 Solace Corporation. All rights reserved.
 */

#import "Example.h"

/**
 *  The DirectPubSubExample demonstrates how to subscribe to a topic for direct 
 *  messages, publish direct messages to a topic, and receive messages through a
 *  callback function.
 *
 *  This sample shows the basics of creating a Context, creating a
 *  Session, connecting a Session, subscribing to a Topic, and publishing
 *  Direct messages to a Topic. This is meant to be a very basic example, so
 *  there are minimal Session properties, and it uses a message callback that
 *  simply prints any received message to the screen.
 *
 *  Although other samples make use of common code to perform some of the
 *  most common actions, this sample explicitly includes many of these common
 *  functions in this sample to emphasize the most basic building blocks of
 *  any application.
 */
@interface DirectPubSubExample : Example

@end
