/** @example ex/ios/examples/SdtPubSubMsgDepExample.h
 */

/*
 *  Copyright 2009-2025 Solace Corporation. All rights reserved.
 */

#import "Example.h"

/**
 *  The SdtPubSubMsgDepExample demonstrates how to subscribe to a Topic and
 *  publish SDT Map messages to the Topic.
 *
 *  This sample creates an SDT Stream and an SDT Map directly in a
 *  Solace message. The Stream is created as the binary attachment.
 *  The Map is created as the user property map.
 *
 *  The SDT Map is reused and modified for multiple sends.
 *
 *  Using message-dependent Streams and Maps avoids memory
 *  copy operations. It also makes the API responsible for managing
 *  the memory allocated for the containers. However,
 *  message-dependent Streams and Maps cannot be reused easily like
 *  message-independent Streams and Maps.
 */
@interface SdtPubSubMsgDepExample : Example

@end
