/** @example ex/ios/examples/SdtPubSubMsgIndepExample.m
 */

/*
 *  Copyright 2009-2025 Solace Corporation. All rights reserved.
 */

#import "Example.h"

/**
 *  The SdtPubSubMsgIndepExample demonstrates how to subscribe to a Topic and
 *  publish SDT Map messages to the Topic.
 *
 *  This sample creates a SDT Stream and a SDT Map in local memory (independent
 *  of the Solace Msg). The Stream is added to the binary attachment of a
 *  message. The Map is made the user property map of the message.
 *
 *  The Map is reused and modified for multiple sends.
 *
 *  Message-independent Streams and Map are useful when you want
 *  to reuse them in multiple messages. When using message-independent
 *  Streams and Maps, the client application is responsible for
 *  managing the memory that is allocated.
 */
@interface SdtPubSubMsgIndepExample : Example

@end
