/** @example ex/ios/examples/SubscribeOnBehalfOfClientExample.h
 */

/*
 *  Copyright 2010-2025 Solace Corporation. All rights reserved.
 */

#import "Example.h"

/**
 *  The SubscribeOnBehalfOfClientExample demonstrates how to subscribe on behalf
 *  of another client. Doing so requires knowledge of the target client name, as
 *  well as possession of the subscription-manager permission.
 *
 *  Two Sessions are connected to the appliance, their ClientNames are
 *  extracted, and Session #1 adds a Topic subscription on behalf of Session #2.
 *  A message is then published on that Topic, which will be received by Session
 *  #2.
 */
@interface SubscribeOnBehalfOfClientExample : Example

@end
