/** @example ex/ios/examples/SyncCacheRequestExample.h
 */

/*
 *  Copyright 2009-2025 Solace Corporation. All rights reserved.
 */

#import "Example.h"

/**
 *  The SyncCacheRequestExample demonstrates how to create a cache session and
 *  how to send a synchronous cache request.
 *
 *  Sample Requirements:
 *   - A appliance running SolOS-TR with an active cache.
 *   - A cache running and caching on a pattern that matches "my/sample/topic".
 *   - The cache name must be known and passed to this program as a command line
 *     argument.
 *
 *  In this sample, a synchronous cache request is sent. The cache request
 *  is blocking, so it is possible to see that the cache response is processed
 *  before the application continues with its execution.
 *
 *  Cached messages returned as a result of the cache request are handled by
 *  the Session's message receive callback in the normal manner. This sample
 *  uses a callback that simply logs the message.
 */
@interface SyncCacheRequestExample : Example

@end
